/*
 * Copyright (C) 2012-2016 Open Source Robotics Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
#ifndef _GAZEBO_MATH_TYPES_HH_
#define _GAZEBO_MATH_TYPES_HH_

/// \file
/// \ingroup gazebo_math
/// \brief Forward declarations for the math classes
namespace gazebo
{
  namespace math
  {
    class Quaternion;
    class Vector2i;
    class Vector2d;
    class Vector3;
    class Vector4;
    class Box;
    class Plane;
    class Angle;
    class Matrix3;
    class Matrix4;
    class Rand;
  }
}

#endif
